Package de.gebit.integrity.remoting.transport.messages

## Class ForkSetupMessage

- java.lang.Object
- - de.gebit.integrity.remoting.transport.messages.AbstractMessage
  - - de.gebit.integrity.remoting.transport.messages.ForkSetupMessage

- All Implemented Interfaces:
    `Serializable`

      public class ForkSetupMessage
      extends AbstractMessage

  This message is sent to a fork before any test execution is started. It sets up the fork with all test scripts and the current set list state from the master.
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ForkSetupMessage()` | The no-arg constructor, primarily used for serialization.
    `ForkSetupMessage​(List<? extends TestResourceProvider> someResourceProviders, SetList aSetList, Map<String,​Object> someInitialVariables, int aNumberOfSuiteInvocations)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​Object>` | `getInitialVariables()` |
    `int` | `getNumberOfSuiteInvocations()` |
    `List<? extends TestResourceProvider>` | `getResourceProviders()` |
    `SetList` | `getSetList()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForkSetupMessage

          public ForkSetupMessage​(List<? extends TestResourceProvider> someResourceProviders,
                                  SetList aSetList,
                                  Map<String,​Object> someInitialVariables,
                                  int aNumberOfSuiteInvocations)

      Creates a new instance.
      Parameters:
        `aSetList` - the new setlist

    - #### ForkSetupMessage

          public ForkSetupMessage()

      The no-arg constructor, primarily used for serialization.

  - ### Method Detail

    - #### getResourceProviders

          public List<? extends TestResourceProvider> getResourceProviders()

    - #### getSetList

          public SetList getSetList()

    - #### getInitialVariables

          public Map<String,​Object> getInitialVariables()

    - #### getNumberOfSuiteInvocations

          public int getNumberOfSuiteInvocations()